%define upstream_name    HTML-Template
%define upstream_version 2.97

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module to use HTML Templates from CGI scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SA/SAMTREGAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildArch:  noarch

%description
This module attempts make using HTML templates simple and natural. It
extends standard HTML with a few new HTML-esque tags - <TMPL_VAR>,
<TMPL_LOOP>, <TMPL_INCLUDE>, <TMPL_IF> and <TMPL_ELSE>. The file
written with HTML and these new tags is called a template. It is
usually saved separate from your script - possibly even created by
someone else!  Using this module you fill in the values for the
variables, loops and branches declared in the template. This allows
you to separate design - the HTML - from the data, which you generate
in the Perl script.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{perl_vendorlib}/HTML
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.970.0-4.mga8
+ Revision: 1504635
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.970.0-3.mga7
+ Revision: 1283977
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.970.0-2.mga7
+ Revision: 1164828
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2.970.0-1.mga7
+ Revision: 1158028
- update to 2.97

* Sun Jun 19 2016 pterjan <pterjan> 2.950.0-7.mga6
+ Revision: 1028350
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2.950.0-6.mga6
+ Revision: 971632
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 2.950.0-5.mga6
+ Revision: 892144
- BR perl(CGI)

* Sun Oct 19 2014 umeabot <umeabot> 2.950.0-4.mga5
+ Revision: 790083
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.950.0-3.mga5
+ Revision: 751089
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.950.0-2.mga5
+ Revision: 684972
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 2.950.0-1.mga5
+ Revision: 585198
- update to 2.95

* Sat Oct 19 2013 umeabot <umeabot> 2.940.0-2.mga4
+ Revision: 527036
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.940.0-1.mga4
+ Revision: 439381
- update to 2.94

* Sun Jan 13 2013 umeabot <umeabot> 2.910.0-2.mga3
+ Revision: 368148
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 2.910.0-1.mga3
+ Revision: 258932
- update to 2.91

* Wed Jan 19 2011 jquelin <jquelin> 2.900.0-1.mga1
+ Revision: 24533
- fix specs
- imported package perl-HTML-Template


* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.900.0-1mdv2010.1
+ Revision: 505767
- rebuild using %%perl_convert_version

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.9-4mdv2010.0
+ Revision: 426505
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.9-3mdv2009.0
+ Revision: 223791
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.9-2mdv2008.1
+ Revision: 180408
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 2.9-1mdv2008.0
+ Revision: 20175
- buildrequires
- 2.9


* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.8-1mdk
- New release 2.8
- spec cleanup
- fix sources URL
- better summary and description
- %%mkrel

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.7-1mdk
- 2.7
- drop redundant requires

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.6-5mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS
- rm -rf /home/guillomovitch/rpm/tmp/perl-HTML-Template-2.8 in %%install, not %%build
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6-4mdk
- rebuild for new auto{prov,req}

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- rebuild

* Thu Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- from Peter Chen <petechen@netilla.com> :
	- Minor fix in spec file and source permission to appease rpmlint.

* Wed Oct 23 2002 Peter Chen <petechen@netilla.com> 2.6-1mdk
- 2.6
- First packaging.

